summarylogtreecommitdiffstats
path: root/brscan2.install
diff options
context:
space:
mode:
Diffstat (limited to 'brscan2.install')
-rw-r--r--brscan2.install21
1 files changed, 21 insertions, 0 deletions
diff --git a/brscan2.install b/brscan2.install
new file mode 100644
index 000000000000..1d35d1d35787
--- /dev/null
+++ b/brscan2.install
@@ -0,0 +1,21 @@
+post_install() {
+ grep brother2 /etc/sane.d/dll.conf >/dev/null 2>&1
+ if [ $? != 0 ] ; then
+ echo 'brother2' >> /etc/sane.d/dll.conf
+ else
+ echo ''
+ echo 'Note: SANE backend "brother2" was already registered in /etc/sane.d/dll.conf'
+ echo ''
+ fi
+}
+
+post_remove() {
+ grep brother2 /etc/sane.d/dll.conf >/dev/null 2>&1
+ if [ $? = 0 ] ; then
+ sed -i '/^brother2$/d' /etc/sane.d/dll.conf
+ else
+ echo ''
+ echo 'Note: SANE backend "brother2" was already removed from /etc/sane.d/dll.conf'
+ echo ''
+ fi
+}